Method: projects.locations.collections.engines.assistants.agents.a2a.v1.tasks.pushNotificationConfigs.create

为任务设置推送通知配置。

HTTP 请求

POST https://discoveryengine.googleapis.com/v1/{tenant=projects/*/locations/*/collections/*/engines/*/assistants/*/agents/*}/a2a/v1/{parent=tasks/*/pushNotificationConfigs}

网址采用 gRPC 转码语法。

路径参数

参数
tenant

string

可选的租户,以路径参数的形式提供。此功能处于实验阶段,在 1.0 版发布后可能仍会发生变化。

parent

string

必需。相应配置的父任务资源。格式:tasks/{taskId}

查询参数

参数
configId

string

必需。新配置的 ID。

请求正文

请求正文包含一个 TaskPushNotificationConfig 实例。

响应正文

如果成功,响应正文将包含一个新创建的 TaskPushNotificationConfig 实例。

授权范围

需要以下 OAuth 范围之一:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

如需了解详情,请参阅 Authentication Overview